import { OnInit, OnChanges, ElementRef, SimpleChanges, OnDestroy } from '@angular/core';
import { Selection } from 'd3-selection';
import { ScaleLinear } from 'd3-scale';
import { ChartUtils } from '../chart.utils';
import { ChartComponent } from '../chart.component';
import { NwXAxisScale } from '../axis/models/XAxisScale';
import * as i0 from "@angular/core";
export declare class BarDirective implements OnInit, OnChanges, OnDestroy {
    private _elRef;
    private _chart;
    private _chartUtils;
    value: [number, number];
    xDomain: [number, number];
    yDomain: [number, number];
    animDuration: number;
    easing: (normalizedTime: number) => number;
    barWidth: number;
    xScale: NwXAxisScale;
    rect: Selection<SVGRectElement, [number, number], SVGElement, any>;
    yScale: ScaleLinear<number, number>;
    private _chartResizeSub;
    constructor(_elRef: ElementRef, _chart: ChartComponent, _chartUtils: ChartUtils);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    setDomains(): void;
    draw(animDuration?: number): void;
    private _subscribeToChartResize;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BarDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BarDirective, "rect[nw-bar]", never, { "value": "nw-bar"; "xDomain": "xDomain"; "yDomain": "yDomain"; "animDuration": "animDuration"; "easing": "easing"; "barWidth": "barWidth"; "xScale": "xScale"; }, {}, never, never, false, never>;
}
