import { OnInit, ElementRef, OnChanges, SimpleChanges, EventEmitter, OnDestroy } from '@angular/core';
import { Selection } from 'd3-selection';
import { Line, CurveFactory } from 'd3-shape';
import { ScaleLinear } from 'd3-scale';
import { ChartUtils } from '../chart.utils';
import 'd3-transition';
import { ChartComponent } from '../chart.component';
import { NwXAxisScale } from '../axis/models/XAxisScale';
import * as i0 from "@angular/core";
export declare class PathDirective implements OnInit, OnChanges, OnDestroy {
    private _elRef;
    private _chart;
    private _chartUtils;
    data: Array<[number, number]>;
    xDomain: [number, number];
    yDomain: [number, number];
    animDuration: number;
    curve: CurveFactory;
    easing: (normalizedTime: number) => number;
    xScale: NwXAxisScale;
    animEnd: EventEmitter<void>;
    line: Line<[number, number]>;
    path: Selection<SVGPathElement, Array<[number, number]>, SVGElement, any>;
    yScale: ScaleLinear<number, number>;
    private _chartResizeSub;
    constructor(_elRef: ElementRef, _chart: ChartComponent, _chartUtils: ChartUtils);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    setDomains(): void;
    setLine(): void;
    drawLine(): void;
    updateLine(): void;
    private _subscribeToChartResize;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PathDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PathDirective, "path[nw-path]", ["nw-path"], { "data": "nw-path"; "xDomain": "xDomain"; "yDomain": "yDomain"; "animDuration": "animDuration"; "curve": "curve"; "easing": "easing"; "xScale": "xScale"; }, { "animEnd": "animEnd"; }, never, never, false, never>;
}
