import { ChangeDetectorRef, EventEmitter, ElementRef, OnInit, OnDestroy } from '@angular/core';
import { FormControl } from '@angular/forms';
import { IPickerItem } from './IPickerItem';
import * as i0 from "@angular/core";
export declare class NwPickerComponent implements OnInit, OnDestroy {
    chRef: ChangeDetectorRef;
    items: IPickerItem[];
    inputClasses: string;
    placeholderText: string;
    inputPlaceholderText: string;
    noSelectionsPlaceholderText: string;
    initialParentId: any;
    shouldShowSelections: boolean;
    canExclude: boolean;
    isHeightDynamic: boolean;
    isMultiSelect: boolean;
    isMobileDisplay: boolean;
    selections: EventEmitter<IPickerItem[]>;
    toggleInclude: EventEmitter<{
        item: IPickerItem;
        searchTerm: string;
    }>;
    toggleExclude: EventEmitter<{
        item: IPickerItem;
        searchTerm: string;
    }>;
    edit: EventEmitter<any>;
    closed: EventEmitter<any>;
    focus: EventEmitter<ElementRef>;
    clearAll: EventEmitter<any>;
    clearSingle: EventEmitter<IPickerItem>;
    clearSearch: EventEmitter<any>;
    desc: EventEmitter<IPickerItem>;
    asc: EventEmitter<IPickerItem>;
    inputEl: ElementRef;
    displayItems: IPickerItem[];
    searchTerm: FormControl<string>;
    canViewResults: boolean;
    parentId: any;
    selectionsAreShowing: boolean;
    maxHeight: number;
    private _subs;
    constructor(chRef: ChangeDetectorRef);
    ngOnInit(): void;
    subscribeToSearchTermChanges(): void;
    ascend(item: IPickerItem): void;
    setDisplayItemsFromParentId(parentId: any, e?: KeyboardEvent): void;
    displaySelectedItems(): void;
    getSelections(): IPickerItem[];
    getParentItem(parentId: any): IPickerItem;
    hasChildren(id: any): number;
    clearSelection(item: IPickerItem): void;
    clearSelections(e?: KeyboardEvent): void;
    toggleItemInclusion(item: IPickerItem, e: KeyboardEvent): void;
    toggleItemExclusion(item: IPickerItem, e: KeyboardEvent): void;
    toggleDescendants(item: IPickerItem, add?: boolean, exclude?: boolean): void;
    toggleAncestors(item: IPickerItem, add?: boolean, exclude?: boolean): void;
    preventBlur(e: KeyboardEvent): void;
    resetSearchTerm(): void;
    onFocus(): void;
    showResults(): void;
    close(): void;
    closeResults(): void;
    onReset($event?: KeyboardEvent): void;
    getPlaceholderText(): string;
    getMaxHeight(el: HTMLElement): string;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NwPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NwPickerComponent, "nw-angular-picker", never, { "items": "items"; "inputClasses": "inputClasses"; "placeholderText": "placeholderText"; "inputPlaceholderText": "inputPlaceholderText"; "noSelectionsPlaceholderText": "noSelectionsPlaceholderText"; "initialParentId": "initialParentId"; "shouldShowSelections": "shouldShowSelections"; "canExclude": "canExclude"; "isHeightDynamic": "isHeightDynamic"; "isMultiSelect": "isMultiSelect"; "isMobileDisplay": "isMobileDisplay"; }, { "selections": "selections"; "toggleInclude": "toggleInclude"; "toggleExclude": "toggleExclude"; "edit": "edit"; "closed": "closed"; "focus": "focus"; "clearAll": "clearAll"; "clearSingle": "clearSingle"; "clearSearch": "clearSearch"; "desc": "desc"; "asc": "asc"; }, never, [".results-footer"], false, never>;
}
